Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 736)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 737)
@@ -276,7 +276,15 @@
 
 	@Override
 	public boolean canCompute() {
-		return getCorpus() != null && pQuery != null && !pQuery.isEmpty();
+		if(this.getCorpus() == null)	{
+			System.err.println("Concordance.canCompute(): Corpus is not set.");
+			return false;
+		}
+		if(pQuery == null || pQuery.isEmpty())	{
+			System.err.println("Concordance.canCompute(): Query is not set or empty.");
+			return false;
+		}
+		return true;
 	}
 
 	@Override
@@ -410,6 +418,13 @@
 		return pViewLeftProperties;
 	}
 
+	/**
+	 * Returns all lines.
+	 * @return
+	 * @throws CqiClientException
+	 * @throws IOException
+	 * @throws CqiServerError
+	 */
 	public List<Line> getLines() throws CqiClientException, IOException, CqiServerError {
 		return getLines(0, this.getNLines());
 	}
@@ -710,19 +725,29 @@
 		return res;
 	}
 
+	/**
+	 * Gets the query result matches.
+	 * @return
+	 * @throws CqiClientException
+	 */
 	public List<Match> getMatches() throws CqiClientException {
 		return queryResult.getMatches();
 	}
 
 	@Override
 	public String getName() {
-		if (queryResult != null) {
-			return  this.getCorpus().getName()
-					+ " " //$NON-NLS-1$
-					+ queryResult.getQuery().getQueryString();
-		} else {
-			return this.getCorpus().getName();
+		try {
+			if (queryResult != null) {
+				return  this.getCorpus().getName()
+						+ " " //$NON-NLS-1$
+						+ queryResult.getQuery().getQueryString();
+			} else {
+				return this.getCorpus().getName();
+			}
 		}
+		catch (Exception e) {
+			return this.getEmptyName();
+		}
 	}
 
 	/**
@@ -1590,6 +1615,15 @@
 		this.pQuery = query;
 	}
 
+	
+	/**
+	 * Sets the query.
+	 * @param queryString
+	 */
+	public void setQuery(String queryString) {
+		this.setQuery(new Query(queryString));
+	}
+	
 	public void setTopIndex(int i) {
 		pTopIndex = i;
 	}
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifictiesSelectionChart.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifictiesSelectionChart.java	(revision 736)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifictiesSelectionChart.java	(revision 737)
@@ -9,23 +9,21 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
 import org.txm.rcp.handlers.BaseAbstractHandler;
-import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.specificities.core.functions.Specificities;
 import org.txm.specificities.core.functions.SpecificitiesSelection;
 import org.txm.specificities.rcp.editors.SpecificitiesEditor;
 
+/**
+ * Computes a specificities chart from a selection of lines of a specificities result table.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
 public class ComputeSpecifictiesSelectionChart extends BaseAbstractHandler {
 
 
 	
-	
-	// adds a double click listener to the Corpus View
-	static	{
-		CorporaView.addDoubleClickListener(SpecificitiesSelection.class, ComputeSpecifictiesSelectionChart.class);
-	}
-
-	
-	
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		
